/* KangbangController */

#import <Cocoa/Cocoa.h>
#import <randomizer.h>
#import <resultView.h>

@interface KangbangController : NSObject
{
    //IBOutlet id randomizer;
    IBOutlet NSTextField *resultField;
    IBOutlet id resultDrawing;
    IBOutlet id logDrawer;
    IBOutlet id logField;
    IBOutlet id mainWindow;
    IBOutlet id initPanel;
    IBOutlet id uniqueCheckbox;
    id randomBox;
}
- (id)init;
- (void)dealloc;
- (void)initRandomizer;
- (IBAction)pick:(id)sender;

// randomizer initialization functions
- (IBAction)openInitPanel:(id)sender;
- (void)closeInitPanel:(NSPanel *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (IBAction)initPushed:(id)sender;
- (IBAction)initCancelled:(id)sender;

// Log functions
- (IBAction)toggleLogDrawer:(id)sender;
- (IBAction)markLog:(id)sender;
- (IBAction)clearLog:(id)sender;
- (void)logAppend:(id) str;
@end
